## ros-indigo-arm-navigation-msgs 0.0.5

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(arm_navigation_msgs)

find_package(catkin REQUIRED COMPONENTS std_msgs actionlib_msgs sensor_msgs geometry_msgs trajectory_msgs tf message_generation)

add_message_Files(
  FILES AllowedCollisionEntry.msg AllowedCollisionMatrix.msg AllowedContactSpecification.msg ArmNavigationErrorCodes.msg AttachedCollisionObject.msg CollisionMap.msg CollisionObject.msg CollisionObjectOperation.msg CollisionOperation.msg Constraints.msg ContactInformation.msg DisplayTrajectory.msg JointConstraint.msg JointLimits.msg JointTrajectoryWithLimits.msg LinkPadding.msg MotionPlanRequest.msg MoveArmStatistics.msg MultiDOFJointState.msg MultiDOFJointTrajectory.msg MultiDOFJointTrajectoryPoint.msg OrderedCollisionOperations.msg OrientationConstraint.msg OrientedBoundingBox.msg PlanningScene.msg PositionConstraint.msg RobotState.msg RobotTrajectory.msg Shape.msg SimplePoseConstraint.msg VisibilityConstraint.msg WorkspaceParameters.msg
  DIRECTORY msg)

add_service_Files(
  FILES FilterJointTrajectory.srv FilterJointTrajectoryWithConstraints.srv GetCollisionObjects.srv GetJointTrajectoryValidity.srv GetMotionPlan.srv GetPlanningScene.srv GetRobotState.srv GetRobotTrajectoryValidity.srv GetStateValidity.srv SetPlanningSceneDiff.srv
  DIRECTORY srv)

add_action_files(
  FILES
  MakeStaticCollisionMap.action
  MoveArm.action
  SyncPlanningScene.action
  DIRECTORY action)

generate_messages(
  DEPENDENCIES std_msgs actionlib_msgs sensor_msgs geometry_msgs trajectory_msgs
)


catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS std_msgs actionlib_msgs sensor_msgs geometry_msgs trajectory_msgs tf message_runtime
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-indigo-arm-navigation-msgs (0.0.5-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 02 Feb 2017 15:00:00 -0000

ros-indigo-arm-navigation-msgs (0.0.4-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Wed, 18 Jan 2017 15:00:00 -0000

ros-indigo-arm-navigation-msgs (0.0.3-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Thu, 26 May 2016 15:00:00 -0000

ros-indigo-arm-navigation-msgs (0.0.2-1trusty) trusty; urgency=high



 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 24 May 2016 15:00:00 -0000

ros-indigo-arm-navigation-msgs (0.0.1-1trusty) trusty; urgency=high

  * add arm_navigation_msgs
  * Contributors: Kei Okada

 -- Devon Ash <dash@clearpathrobotics.com>  Tue, 24 May 2016 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-arm-navigation-msgs
Section: misc
Priority: extra
Maintainer: Devon Ash <dash@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs
Homepage: http://ros.org/wiki/arm_navigation_msgs
Standards-Version: 3.9.2

Package: ros-indigo-arm-navigation-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs
Description: arm_navigation_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-arm-navigation-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
